﻿' -----------------------------------------------------------------------------------------
'
' DrehEncZwei                                                       Ulrich Müller  18.01.10
'                                                                   Aspire  VB 2008 Express
' FishFaceTX : Messung EncoderMotor an M1 und C1 sowie Lichtschranke an C2
'              Basis ist die Assembly FishFaceTX.DLL
'
' -----------------------------------------------------------------------------------------

Option Explicit On
Option Strict Off
Imports FishFaceTX

Module DrehEncZwei
  Const ImpulseUmdrehung = 6
  Const Untersetzung = 2
  Const Messdauer As Integer = 15

  Dim tx As New FishFace()
  Const Lampe    As Out = Out.O3
  Const EncCount As Cnt = Cnt.C1
  Const Photo    As Cnt = Cnt.C2
  Const Motor    As Mot = Mot.M1

  Sub Action()
    Dim Impulse As Integer
    Dim Drehzahl, EncPulses As Single
    tx.SetLamp(Lampe, Dir.On)
    tx.Pause(1234)
    tx.ClearCounter(EncCount)
    tx.ClearCounter(Photo)
    tx.SetMotor(Motor, Dir.Left)

    For i As Integer = 1 To Messdauer
      tx.Pause(1000)
      Console.Write("{0:0}-", i)
    Next
    Console.WriteLine("OK")

    tx.SetLamp(Lampe, Dir.Off)
    tx.SetMotor(Motor, Dir.Off)
    Impulse = tx.GetCounter(Photo)
    Drehzahl = Impulse / (ImpulseUmdrehung / Untersetzung) * (60 / Messdauer)
    EncPulses = tx.GetCounter(EncCount)

    Console.WriteLine("Impulse    : {0:0}", Impulse)
    Console.WriteLine("Drehzahl   : {0:##000} 1/min", Drehzahl)
    Console.WriteLine("EncPulse   : {0:#00}", EncPulses)
    Console.WriteLine("EncCount   : {0:##00} pro Umdrehung", _
                      EncPulses * 60 / (Drehzahl * Messdauer))
  End Sub

#Region "--- ProgramControl ---"
  Sub Main()
    Try
      tx.OpenController("COM4")
      Console.WriteLine("--- Bei der Arbeit, Abbruch ESC-Taste ---")
      Action()
    Catch ex As FishFaceException
      Console.WriteLine(ex.Message)
    Finally
      tx.CloseController()
      Console.WriteLine("--- FINITO : RETURN drücken ---")
      Console.Read()
    End Try
  End Sub
#End Region
End Module
