﻿' -----------------------------------------------------------------------------------------
'
' DrehzahlDreiD40                                                   Ulrich Müller  18.01.10
'                                                                   Aspire  VB 2008 Express
' FishFaceTX : Messung Motordrehzahl mit der ROBO Interface Extension
'              Der Motor sitzt mit 2:1 an der Achse des 6er-Impulsrades
'
' -----------------------------------------------------------------------------------------

Option Explicit On
Option Strict Off
Imports FishFace40

Module DrehDrei40

  Const ImpulseUmdrehung = 12
  Const Untersetzung = 4
  Const Messdauer = 15

  Dim ft As New FishFace()
  Const Lampe As Out = Out.O3
  Const Photo As Inp = Inp.I1
  Const Motor As Out = Out.M1

  Sub Action()
    Dim Impulse As Integer
    Dim Drehzahl As Single
    ft.SetLamp(Lampe, Dir.On)
    ft.SetMotor(Motor, Dir.Left)
    ft.Pause(1234)
    ft.ClearCounter(Photo)

    For i As Integer = 1 To Messdauer
      ft.Pause(1000)
      Console.Write("{0:0}-", i)
    Next
    Console.WriteLine("OK")

    ft.SetLamp(Lampe, Dir.Off)
    ft.SetMotor(Motor, Dir.Off)
    Impulse = ft.GetCounter(Photo)
    Drehzahl = Impulse / (ImpulseUmdrehung / Untersetzung) * (60 / Messdauer)

    Console.WriteLine("ImpulseUmdreh. : {0:0}", ImpulseUmdrehung)
    Console.WriteLine("Untersetzung   : {0:0.00} : 1", Untersetzung)
    Console.WriteLine("Messdauer      : {0:##00} sec", Messdauer)
    Console.WriteLine("Impulse        : {0:##00}", Impulse)
    Console.WriteLine("ImpulsInterval : {0:#0.0} msec", 1000 / Impulse * Messdauer)
    Console.WriteLine("Drehzahl       : {0:#00.0} 1/min", Drehzahl)
  End Sub
#Region "--- ProgramControl ---"
  Sub Main()
    Try
      ft.OpenInterface(IFTypen.ftROBO_first_USB, 0)
      Console.WriteLine("--- Bei der Arbeit, Abbruch ESC-Taste ---")
      Action()
    Catch ex As FishFaceException
      Console.WriteLine(ex.Message)
    Finally
      ft.CloseInterface()
      Console.WriteLine("--- FINITO : RETURN drücken ---")
      Console.Read()
    End Try
  End Sub
#End Region

End Module
