﻿' ---------------------------------------------------------------------------------------
'
' DrehzahlZweiD                                                    Ulrich Müller 17.01.10
'                                                                  Aspire  VB2008 Express
' Drehzahlmessung eines untersetzten Motor direkt an der Lichtschranke zur Impulsmessung
'
' ---------------------------------------------------------------------------------------

Option Explicit On
Option Strict Off
Imports FishFaceTX

Module DrehZwei
  Const ImpulseUmdrehung = 6
  Const Untersetzung = 2
  Const Messdauer = 15

  Dim tx As New FishFace()
  Const Lampe As Out = Out.O3
  Const Photo As Cnt = Cnt.C1
  Const Motor As Mot = Mot.M1

  Sub Main()
    Dim Drehzahl As Integer

    tx.OpenController("COM4")

    tx.SetLamp(Lampe, Dir.On)
    tx.ClearCounter(Photo)
    tx.SetMotor(Motor, Dir.Left)

    Console.WriteLine("Messung gestartet")
    For i As Integer = 1 To Messdauer
      tx.Pause(1000)
      Console.Write(i & "-")
    Next
    Console.WriteLine("OK")

    tx.SetMotor(Motor, Dir.Off)
    tx.SetLamp(Lampe, Dir.Off)
    Drehzahl = tx.GetCounter(Photo) / (ImpulseUmdrehung / Untersetzung) * (60 / Messdauer)

    Console.WriteLine("Drehzahl : {0:##00} 1/min", Drehzahl)

    tx.CloseController()
    Console.ReadLine()
  End Sub

End Module
