﻿' -----------------------------------------------------------------------------------------
'
' RadarTurmEins                                                      Ulrich Müller 26.01.10
'                                                                    Aspire VB 2008 Express
' Drehkranz mit Motor M1, Impulstaster C1, Endtaster I1 und Ultraschallsensor I8
' scannt die Umgebung auf Gegenstände und macht Positionsangaben
'              Basis Robo TX Controller und FishFaceTX.DLL
'
' -----------------------------------------------------------------------------------------

Option Explicit On
Option Strict Off
Imports System.Console
Imports FishFaceTX

Module RadarTurmEins
  Dim tx As New FishFace()

  Sub Main()
    tx.OpenController("COM4")
    WriteLine("gestartet")

    tx.SetMotor(Mot.M1, Dir.Left)
    tx.WaitForInput(Unv.I1)
    tx.SetMotor(Mot.M1, Dir.Off)

    Dim Schrittweite As Int16 = 10
    Do Until tx.Finish()
      For i As Int16 = 0 To 101 Step Schrittweite
        WriteLine("Position : {0:000} Radarwert : {1:0000}", i, tx.GetDistance(Unv.I8))
        tx.StartRobMotor(Mot.M1, Dir.Right, 512, Schrittweite)
        tx.WaitForMotor(Mot.M1)
      Next
      For i As Int16 = 90 To 0 Step -Schrittweite
        tx.StartRobMotor(Mot.M1, Dir.Left, 512, Schrittweite)
        tx.WaitForMotor(Mot.M1)
        WriteLine("Position : {0:000} Radarwert : {1:0000}", i, tx.GetDistance(Unv.I8))
      Next
    Loop

    tx.CloseController()
    WriteLine("FINIS")
    ReadLine()
  End Sub

End Module
